import { LogHandlerOptions, LogLevelAliasType, LoggerInterface } from '../../common/log/log-base.cjs';

/**
 * Directly use console calls, this has the advantage to show the original source of the call
 * i.e. it is possible to jump right into the code from the browser console logs. But other
 * loggers will not work any more.
 */
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

export { LoggerBrowserSetupDebugFactory, activateConsoleDebug };
