"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkJSDQUV2Fcjs = require('./chunk-JSDQUV2F.cjs');

// src/common/assert.ts
function fatal(...messages) {
  _optionalChain([_chunkJSDQUV2Fcjs.getGlobalLoggerIfExists.call(void 0, ), 'optionalCall', _ => _("assert"), 'optionalAccess', _2 => _2.fatal, 'call', _3 => _3(...messages)]);
  throw new Error(`${messages.map(String).join(" ")}`);
}
function assert(condition, ...messages) {
  if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
    fatal(...messages);
}
function assertCondition(condition, ...messages) {
  assert(condition, ...messages);
}





exports.fatal = fatal; exports.assert = assert; exports.assertCondition = assertCondition;
//# sourceMappingURL=chunk-CR4EGXJY.cjs.map