"use strict";

var _chunkMFFYNVHWcjs = require('../../chunk-MFFYNVHW.cjs');


var _chunkO3QYDQEHcjs = require('../../chunk-O3QYDQEH.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-QKGNMC5N.cjs');
require('../../chunk-JSDQUV2F.cjs');
require('../../chunk-RJM35BFG.cjs');
require('../../chunk-BKBCRA55.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-37DK2SKC.cjs');
require('../../chunk-JSBFJVKM.cjs');
require('../../chunk-ST3SZ2ML.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-XWE2OTGL.cjs');






var _chunkDYQJ5GN4cjs = require('../../chunk-DYQJ5GN4.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-AZ5FKZIK.cjs');
require('../../chunk-POMZSIOD.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-XO4K2T3A.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/data/object.spec.ts
describe("object.spec", () => {
  it("should map it", async () => {
    const sample = {
      a: 1,
      b: 2
    };
    expect(_chunkDYQJ5GN4cjs.objectMap.call(void 0, sample, (k, v) => v + 10)).toMatchInlineSnapshot(`
      Object {
        "a": 11,
        "b": 12,
      }
    `);
    expect(_chunkDYQJ5GN4cjs.objectMap.call(void 0, sample, (k, v) => [`${k}_${v}`, k])).toMatchInlineSnapshot(`
        Object {
          "a_1": "a",
          "b_2": "b",
        }
      `);
  });
  it("should merge", async () => {
    const emitter = new (0, _chunkMFFYNVHWcjs.Emitter)();
    const obj = {
      dispose: _chunkO3QYDQEHcjs.useDispose.call(void 0, ),
      f() {
        return 42;
      }
    };
    let x = 1;
    obj.dispose.add(() => x++);
    const m = _chunkDYQJ5GN4cjs.objectMergeDisposable.call(void 0, emitter, obj);
    expect(m.f()).toBe(42);
    m.on("a", () => x++);
    void m.emit("a");
    expect(x).toBe(2);
    await m.dispose();
    expect(x).toBe(3);
  });
  it("should omit and pick", () => {
    const o = { a: 1, b: 2, c: 3, d: 4 };
    expect(_chunkDYQJ5GN4cjs.objectPick.call(void 0, o, "a", "c")).toMatchInlineSnapshot(`
      Object {
        "a": 1,
        "c": 3,
      }
    `);
    expect(_chunkDYQJ5GN4cjs.objectOmit.call(void 0, o, "a", "c")).toMatchInlineSnapshot(`
      Object {
        "b": 2,
        "d": 4,
      }
    `);
    expect(_chunkDYQJ5GN4cjs.objectInclusivePick.call(void 0, o, "a", "c", "x")).toMatchInlineSnapshot(`
      Object {
        "a": 1,
        "c": 3,
        "x": undefined,
      }
    `);
  });
});
//# sourceMappingURL=object.spec.cjs.map