import {
  LoggerNodeHandler,
  loggerStackTraceDebug
} from "../../chunk-Y76YXKI4.js";
import "../../chunk-OQ7CIIKH.js";
import "../../chunk-HMRSQHLY.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-SRT6T6F5.js";
import "../../chunk-INP3FSCD.js";
import "../../chunk-XDFLBYG5.js";
import "../../chunk-MKG75UEC.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-BJGZAXQX.js";
import "../../chunk-THQONF76.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-JZMQBHAJ.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-PXMCFDHI.js";
import "../../chunk-O3EVCWNG.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-LXSAZMHZ.js";
import "../../chunk-MPAXUMZ5.js";
import "../../chunk-PJDBG5VS.js";
import "../../chunk-B4LURUT2.js";
import "../../chunk-63QPAGBX.js";
import "../../chunk-7OAUULYN.js";
import "../../chunk-IQFZHKL7.js";
import "../../chunk-4IZFBMWE.js";
import "../../chunk-WFPP4REE.js";
import "../../chunk-AJ3WFXQE.js";
import "../../chunk-KVZOYAMV.js";
import "../../chunk-FZ5R2SNB.js";
import "../../chunk-FVTKBBFT.js";
import "../../chunk-KGD7JR27.js";
import "../../chunk-7GOLOL5D.js";
import "../../chunk-JNJ7FFGY.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-VAS3X5GJ.js";
import "../../chunk-GAKRSKPV.js";
import "../../chunk-455C43FU.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-RG6OSZW5.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-GUPXJFTH.js";
import {
  LogLevelAll
} from "../../chunk-WXJDMWFH.js";
import "../../chunk-GVJPPBQD.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-T7PU5CTZ.js";
import "../../chunk-XSB2WAW2.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-NYCGHEIN.js";
import "../../chunk-NC5D7QLN.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-BCFBEP5B.js";
import "../../chunk-EOHXRMVQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-66LHCCNT.js";
import "../../chunk-4XPO57AQ.js";
import "../../chunk-ACZDEHYB.js";
import "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import "../../chunk-AEBHR4XF.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-NS4INNCL.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import "../../chunk-R6KULE2F.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VVNSHVPQ.js";
import "../../chunk-6GHO7LQW.js";

// src/node/log/log-node.spec.ts
describe("log-node", () => {
  it("should color log", async () => {
    getGlobalLogger().setHandlers([LoggerNodeHandler()]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
  it("should find pattern", () => {
    getGlobalLogger().setHandlers([
      LoggerNodeHandler({
        level: LogLevelAll,
        filter: "*",
        stack: true
      })
    ]);
    const log = DefaultLogger("stack");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.info(loggerStackTraceDebug);
    log.error("error");
  });
});
//# sourceMappingURL=log-node.spec.js.map